--======================================================================--
-- Colors (shortcuts). Should be colours, but colors for consistency	--
--======================================================================--
color_white = {255,255,255}
color_grey = {128,128,128}
color_black = {0,0,0}
color_red = {255,0,0}
color_green = {0,255,0}
color_blue = {0,0,255}
color_yellow = {255,255,0}
color_cyan = {0,255,255}
color_magenta = {255,0,255}
--------------------------------------------------------------------------
function initiate()
--	map =
--		{	{3,2,4,3},
--			{4,4,4,2},
--			{3,4,4,4},
--			{3,4,3,1}	}

	map = 
	{	{4,2,2,2,4,2,2,2,4,3},
		{4,4,4,4,4,4,2,4,4,4},
		{4,2,0,4,4,3,1,3,4,4},
		{2,3,4,2,1,2,4,4,1,3},
		{2,1,2,1,2,3,4,2,4,2},
		{2,4,2,4,4,2,2,1,2,3},
		{3,2,4,2,4,4,2,4,4,2},
		{4,1,4,2,3,4,4,4,2,2},
		{4,2,4,4,1,2,4,4,4,2},
		{0,2,3,3,3,3,4,4,4,2}	}

	map_w = #map[1]
	map_h = #map

	reset_loop()

	solution = {}
	-------- Sequentially does the tops, then the sides
	for i=0,map_h do
		for j=1,map_w do
			table.insert(solution,0)	-- tops/bottoms of cells
		end
	end
	for i=1,map_h do
		for j=0,map_w do
			table.insert(solution,0)	-- sides of cells
		end
	end

end
--------------------------------------------------------------------------
function reset_loop(number)
	loop = {}
	for i=1,map_h do
		local a = {}
		for j=1,map_w do
			table.insert(a,number)
		end
		table.insert(loop,a)
	end
	loop_w = #loop[1]
	loop_h = #loop
end
--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------
